約束の地

キャロ組

Ubuntu 16.04 LTS または Linux Mint 18.2 Sonya に Docker CE をインストールする

前提

  • インストールする対象の OS は Ubuntu 16.04 LTS または Linux Mint 18.2 Sonya です
  • インストールする(された) Docker CE のバージョンは Docker version 18.06.0-ce, build 0ffa825 です

結論

詳しくは公式ドキュメントに書いてありますので、ここではコマンドの手順だけを示します*1

なお、すでに Docker が走っている場合は一時的に止めることになる場合があるので注意です。

$ sudo apt-get remove docker docker-engine docker.io
$ sudo apt-get update
$ sudo apt-get install apt-transport-https ca-certificates curl software-properties-common
$ curl -fsSL https://download.docker.com/linux/ubuntu/gpg | sudo apt-key add -
$ sudo apt-key fingerprint 0EBFCD88
$ sudo add-apt-repository "deb [arch=amd64] https://download.docker.com/linux/ubuntu xenial stable"
$ sudo apt-get update
$ sudo apt-get install docker-ce

上記で Docker CE のインストールは終わりです。sudo 無しでユーザが docker コマンドを実行できるようにするにはユーザを docker グループに所属させる必要があります。

$ sudo usermod -aG docker $USER

ここまでできたら docker ps コマンドを実行してコンテナのリストが表示されれば*2 OK です。

$ docker ps
CONTAINER ID        IMAGE                          COMMAND                  CREATED             STATUS              PORTS                                            NAMES

補足

注意する点は、apt のリポジトリを登録する部分で、以下のように xenial と Ubuntu のバージョンを明示的に指定する点です。

$ sudo add-apt-repository "deb [arch=amd64] https://download.docker.com/linux/ubuntu xenial stable"

Ubuntu(Mint の親となる)のバージョンが変わった場合はここを変えなければいけません。

*1:何をやっているのかを分かっている人向けです

*2:空っぽでしょうが

Powered by はてなブログ